Opened 7 years ago

Closed 7 years ago

Last modified 7 years ago

#14773 closed patch (fixed)

Pidgin 2.10.0 fails to build with glib 2.31

Reported by: dimstar Owned by: rekkanoryo
Milestone: 2.10.2 Component: unclassified
Version: 2.10.0 Keywords:
Cc:

Description

With glib 2.31, only glib.h can be #include'd... the other headers are automatically indirectly included (with some exceptions).

I will provide a patch shortly, which takes care of this

Attachments (1)

pidgin-glib-2.31.patch (354 bytes) - added by dimstar 7 years ago.
I think that's actually all that's needed: the other one (gstdio.h) is still to be explcitly included,

Download all attachments as: .zip

Change History (4)

Changed 7 years ago by dimstar

I think that's actually all that's needed: the other one (gstdio.h) is still to be explcitly included,

comment:1 Changed 7 years ago by dimstar

  • Type changed from defect to patch

I can confirm that this is all that's needed in the pidgin code (Took a bit longer to test than expected... had to do some major patching on meanwhile' first)

comment:2 Changed 7 years ago by opensuse-project@…

  • Milestone set to 3.0.0
  • Resolution set to fixed
  • Status changed from new to closed

(In bf80bd26d9da7a91dd596e36945dfc24115cfb9d):
Fix building with GLib 2.31 and single includes.

Fixes #14773.

comment:3 Changed 7 years ago by markdoliner@…

  • Milestone changed from 3.0.0 to 2.10.2

(In 0ad37134db0d29195b63a211ef9fd548e1b49b16):
* Plucked bf80bd26d9da7a91dd596e36945dfc24115cfb9d (opensuse-project@…): Fix building with GLib 2.31 and single includes.

Fixes #14773.

Note: See TracTickets for help on using tickets.
All information, including names and email addresses, entered onto this website or sent to mailing lists affiliated with this website will be public. Do not post confidential information, especially passwords!